Как обновить приложения без обновления Deepin?

Отвечено

Коллеги,

Собственно вопрос в теме — Как обновить приложения без обновления Deepin? Пользую в настоящее время 15.5, не хочу обновляться до 15.7 (уж больно негативные отзывы), но хотелось бы иметь свежие сборки программ и патчей безопасности, если возможно конечно.

Лучший ответ

Не совсем понял что там такого серьезного изменилось. Пробуйте другие дистрибутивы с другими де

Новичок Отвечено 03.09.2018.

Версию программы можно попробывать найти и скачать свежее в виде deb пакета. Поставить. Обновлятся она после перестанет. Да и могут возникнуть проблемы с зависимостями. А патчи безопасности…тут это ядро линукс, которое можете рискнуть обновить вручную…но честно. Дождитесь стабильной версии и обновитесь. Лично у меня на 15.7 глючит только самба..времени мало, пока не победил.

Новичок Отвечено 03.09.2018.

Т.е. отдельно, как Mint или Ubuntu, Deepin обновляться не умеет? Увы смириться с новым видом меню приложений я не могу, это windowsподобное убожество побудило меня остаться на 15,5. Честно — очень разочарован подобным положением дел.

Совет на уровне: «Попробуйте отремонтировать машину, методом замены машины». Я перешел на Deepin исходя из близости концепции свободного пространства, открытого и глобального меню приложений, мне нравилось меню программ без лишних меню и подменю, без напиханного быстрого перехода в домашнюю папку, я лезу в меню за программой, а не за доступом в файловую систему, если мне надо в файловую систему, я открою полноценное соответствующее приложение. Но меня больше убило невозможность обновления софта в отрыве от ОС, к примеру в Ubuntu я на протяжении 5 лет, вообще могу ОС не обновлять, но софт в общем и целом обновить могу и я сам решаю когда и как мне обновиться, проблем с зависимостями я не замечал при этом. Тут такой тоталитарный режим мне больше концепцию Windows напомнил.

Разные принципы обновления. Допустим на арче еще хлеще, там система должна быть обновленна до последней версии или не один пакет не установится.
У каждого своя политика. Описание про доступы к папкам странное, не пойму что вы имеете ввиду. Попробуйте кубунту, либо линукс минт. Обновления у них как у убунты обычной.

Новичок Отвечено 03.09.2018.

Если же вы хотите именно внешний вид как у дипин. То это всеголишь гуи, ее можно установить на лубую версию линукса

Новичок Отвечено 03.09.2018.

Не на любую. А лишь на ту версию Linux, которая умеет в Qt5.

К примеру — на Ubuntu 16.04 уже нельзя и на ее производных тоже.

04.09.2018.
Ответить

Сначала нужно разобраться, в следствии обновления каких пакетов разрабы изменяют версию оси. И тогда уже блокируйте обновления этих пакетов, но думаю это большой гемор, так как скорее всего там целая группа пакетов.

Спасибо за дельные советы. Воспользовался вариантом Blastpv и вернулся на Ubuntu 16.04. С ней конечно все тоже далеко не ладно, возврат  к Gnome как бы и побудил меня уйти на deepin, но тем не менее Unity будет поддерживаться до 21 года, а там глядишь что-нибудь и измениться в лучшую сторону. Важно одно, на Windows не вернусь точно 🙂

Всем спасибо!

Ваш ответ